# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default The Wind Waker Template

game: The Wind Waker
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

The Wind Waker:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  #########################
  # Progression Locations #
  #########################
  progression_dungeons:
    # This controls whether dungeon locations are randomized.
    # 
    # This means the items found in dungeons will be randomized, not that the entrances to dungeons will be randomized.
    'false': 0
    'true': 50

  progression_dungeon_secrets:
    # DRC, FW, TotG, ET, and WT each contain 2-3 secret items (11 in total). This controls whether these are randomized.
    # 
    # The items are relatively well-hidden (they aren't in chests), so don't select this option unless you're prepared to
    # search each dungeon high and low!
    'false': 50
    'true': 0

  progression_tingle_chests:
    # Tingle Chests are hidden in dungeons and must be bombed to make them appear. (2 in DRC, 1 each in FW, TotG, ET, and
    # WT). This controls whether they are randomized.
    'false': 50
    'true': 0

  progression_puzzle_secret_caves:
    # This controls whether the rewards from puzzle-focused secret caves are randomized locations.
    'false': 0
    'true': 50

  progression_combat_secret_caves:
    # This controls whether the rewards from combat-focused secret caves (besides Savage Labyrinth) are randomized
    # locations.
    'false': 50
    'true': 0

  progression_savage_labyrinth:
    # This controls whether the two locations in Savage Labyrinth are randomized.
    'false': 50
    'true': 0

  progression_island_puzzles:
    # This controls whether various island puzzles are randomized (e.g., chests hidden in unusual places).
    'false': 50
    'true': 0

  progression_great_fairies:
    # This controls whether the items given by Great Fairies are randomized.
    'false': 0
    'true': 50

  progression_submarines:
    # This controls whether submarines are randomized.
    'false': 50
    'true': 0

  progression_platforms_rafts:
    # This controls whether lookout platforms and rafts are randomized.
    'false': 50
    'true': 0

  progression_short_sidequests:
    # This controls whether sidequests that can be completed quickly are randomized.
    'false': 50
    'true': 0

  progression_long_sidequests:
    # This controls whether long sidequests (e.g., Lenzo's assistant, withered trees, goron trading) are randomized.
    'false': 50
    'true': 0

  progression_spoils_trading:
    # This controls whether the items you get by trading in spoils to NPCs are randomized.
    'false': 50
    'true': 0

  progression_eye_reef_chests:
    # This controls whether the chests that appear after clearing out the eye reefs are randomized.
    'false': 50
    'true': 0

  progression_big_octos_gunboats:
    # This controls whether the items dropped by Big Octos and Gunboats are randomized.
    'false': 50
    'true': 0

  progression_misc:
    # Miscellaneous locations that don't fit into any of the above categories (outdoors chests, wind shrine, Cyclos, etc).
    # This controls whether these are randomized.
    'false': 50
    'true': 0

  progression_minigames:
    # This controls whether most minigames are randomized (auctions, mail sorting, barrel shooting, bird-man contest).
    'false': 50
    'true': 0

  progression_battlesquid:
    # This controls whether the Windfall battleship minigame is randomized.
    'false': 50
    'true': 0

  progression_free_gifts:
    # This controls whether gifts freely given by NPCs are randomized (Tott, Salvage Corp, imprisoned Tingle).
    'false': 0
    'true': 50

  progression_mail:
    # This controls whether items received from the mail are randomized.
    'false': 50
    'true': 0

  progression_expensive_purchases:
    # This controls whether items that cost many Rupees are randomized (Rock Spire shop, auctions, Tingle's letter,
    # trading quest).
    'false': 0
    'true': 50

  progression_triforce_charts:
    # This controls whether the sunken treasure chests marked on Triforce Charts are randomized.
    'false': 50
    'true': 0

  progression_treasure_charts:
    # This controls whether the sunken treasure chests marked on Treasure Charts are randomized.
    'false': 50
    'true': 0

  #########################
  # Item Randomizer Modes #
  #########################
  sword_mode:
    # Controls whether you start with the Hero's Sword, the Hero's Sword is randomized, or if there are no swords in the
    # entire game.
    # 
    # - **Start with Hero's Sword:** You will start the game with the basic Hero's Sword already in your inventory.
    # - **No Starting Sword:** You will start the game with no sword, and have to find it somewhere in the world like
    #   other randomized items.
    # - **Swords Optional:** You will start the game with no sword, but they'll still be randomized. However, they are not
    #   necessary to beat the game. The Hyrule Barrier will be gone, Phantom Ganon in FF is vulnerable to Skull Hammer,
    #   and the logic does not expect you to have a sword.
    # - **Swordless:** You will start the game with no sword, and won't be able to find it anywhere. You have to beat the
    #   entire game using other items as weapons instead of the sword. (Note that Phantom Ganon in FF becomes vulnerable
    #   to Skull Hammer in this mode.)
    start_with_sword: 50
    no_starting_sword: 0
    swords_optional: 0
    swordless: 0

  randomize_mapcompass:
    # Controls how dungeon maps and compasses are randomized.
    # 
    # - **Start With Maps & Compasses:** You will start the game with the dungeon maps and compasses for all dungeons.
    # - **Vanilla Maps & Compasses:** Dungeon maps and compasses will be kept in their vanilla location (non-randomized).
    # - **Own Dungeon Maps & Compasses:** Dungeon maps and compasses will be randomized locally within their own dungeon.
    # - **Any Dungeon Maps & Compasses:** Dungeon maps and compasses will be randomized locally within any dungeon.
    # - **Local Maps & Compasses:** Dungeon maps and compasses will be randomized locally anywhere.
    # - **Key-Lunacy:** Dungeon maps and compasses can be found anywhere, without restriction.
    startwith: 0
    vanilla: 0
    dungeon: 50
    any_dungeon: 0
    local: 0
    keylunacy: 0

  randomize_smallkeys:
    # Controls how small keys are randomized.
    # 
    # - **Start With Small Keys:** You will start the game with the small keys for all dungeons.
    # - **Vanilla Small Keys:** Small keys will be kept in their vanilla location (non-randomized).
    # - **Own Dungeon Small Keys:** Small keys will be randomized locally within their own dungeon.
    # - **Any Dungeon Small Keys:** Small keys will be randomized locally within any dungeon.
    # - **Local Small Keys:** Small keys will be randomized locally anywhere.
    # - **Key-Lunacy:** Small keys can be found in any progression location, if dungeons are randomized.
    startwith: 0
    vanilla: 0
    dungeon: 50
    any_dungeon: 0
    local: 0
    keylunacy: 0

  randomize_bigkeys:
    # Controls how big keys are randomized.
    # 
    # - **Start With Big Keys:** You will start the game with the big keys for all dungeons.
    # - **Vanilla Big Keys:** Big keys will be kept in their vanilla location (non-randomized).
    # - **Own Dungeon Big Keys:** Big keys will be randomized locally within their own dungeon.
    # - **Any Dungeon Big Keys:** Big keys will be randomized locally within any dungeon.
    # - **Local Big Keys:** Big keys will be randomized locally anywhere.
    # - **Key-Lunacy:** Big keys can be found in any progression location, if dungeons are randomized.
    startwith: 0
    vanilla: 0
    dungeon: 50
    any_dungeon: 0
    local: 0
    keylunacy: 0

  chest_type_matches_contents:
    # Changes the chest type to reflect its contents. A metal chest has a progress item, a wooden chest has a non-progress
    # item or a consumable, and a green chest has a potentially required dungeon key.
    'false': 50
    'true': 0

  ###############################
  # Entrance Randomizer Options #
  ###############################
  randomize_dungeon_entrances:
    # Shuffles around which dungeon entrances take you into which dungeons.
    # 
    # (No effect on Forsaken Fortress or Ganon's Tower.)
    'false': 50
    'true': 0

  randomize_boss_entrances:
    # Allows dungeon boss doors to act as entrances to be randomized.
    # 
    # If on with random dungeon entrances, dungeons may nest within each other, forming chains of connected dungeons.
    'false': 50
    'true': 0

  randomize_miniboss_entrances:
    # Allows dungeon miniboss doors to act as entrances to be randomized.
    # 
    # If on with random dungeon entrances, dungeons may nest within each other, forming chains of connected dungeons.
    'false': 50
    'true': 0

  randomize_secret_cave_entrances:
    # Shuffles around which secret cave entrances take you into which secret caves.
    'false': 50
    'true': 0

  randomize_secret_cave_inner_entrances:
    # Allows the pit in Ice Ring Isle's secret cave and the rear exit out of Cliff Plateau Isles' secret cave to act as
    # entrances to be randomized.
    'false': 50
    'true': 0

  randomize_fairy_fountain_entrances:
    # Allows the pits that lead down into Fairy Fountains to act as entrances to be randomized.
    'false': 50
    'true': 0

  mix_entrances:
    # Controls how the different types (pools) of randomized entrances should be shuffled.
    # 
    # - **Separate Pools:** Each pool of randomized entrances will shuffle into itself (e.g., dungeons into dungeons).
    # - **Mix Pools:** All pools of randomized entrances will be combined into one pool to be shuffled.
    separate_pools: 50
    mix_pools: 0

  #####################
  # Other Randomizers #
  #####################
  randomize_starting_island:
    # Randomizes which island you start the game on.
    'false': 50
    'true': 0

  randomize_charts:
    # Randomizes which sector is drawn on each Triforce/Treasure Chart.
    'false': 50
    'true': 0

  ######################
  # Convenience Tweaks #
  ######################
  swift_sail:
    # Sailing speed is doubled and the direction of the wind is always at your back as long as the sail is out.
    'false': 0
    'true': 50

  instant_text_boxes:
    # Text appears instantly. Also, the B button is changed to instantly skip through text as long as you hold it down.
    'false': 0
    'true': 50

  reveal_full_sea_chart:
    # Start the game with the sea chart fully drawn out.
    'false': 0
    'true': 50

  skip_rematch_bosses:
    # Removes the door in Ganon's Tower that only unlocks when you defeat the rematch versions of Gohma, Kalle Demos,
    # Jalhalla, and Molgera.
    'false': 0
    'true': 50

  add_shortcut_warps_between_dungeons:
    # Adds new warp pots that act as shortcuts connecting dungeons to each other directly. (DRC, FW, TotG, and separately
    # FF, ET, WT.)
    # 
    # Each pot must be unlocked before it can be used, so you cannot use them to access dungeons
    # you wouldn't already have access to.
    'false': 50
    'true': 0

  remove_music:
    # Mutes all ingame music.
    'false': 50
    'true': 0

  ###################
  # Required Bosses #
  ###################
  required_bosses:
    # In this mode, you will not be allowed to beat the game until certain randomly-chosen bosses are defeated. Nothing in
    # dungeons for other bosses will ever be required.
    # 
    # You can see which islands have the required bosses on them by opening the sea chart and checking which islands have
    # blue quest markers.
    'false': 50
    'true': 0

  num_required_bosses:
    # Select the number of randomly-chosen bosses that are required in Required Bosses Mode.
    # 
    # The door to Puppet Ganon will not unlock until you've defeated all of these bosses. Nothing in dungeons for other
    # bosses will ever be required.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 6
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-6: 0 # random value between 1 and 6

  included_dungeons:
    # A list of dungeons that should always be included when required bosses mode is on.
    []

  excluded_dungeons:
    # A list of dungeons that should always be excluded when required bosses mode is on.
    []

  ######################
  # Difficulty Options #
  ######################
  hero_mode:
    # In Hero Mode, you take four times more damage than normal and heart refills will not drop.
    'false': 50
    'true': 0

  logic_obscurity:
    # Obscure tricks are ways of obtaining items that are not obvious and may involve thinking outside the box.
    # 
    # This option controls the maximum difficulty of obscure tricks the randomizer will require you to do to beat the
    # game.
    none: 50
    normal: 0
    hard: 0
    very_hard: 0

  logic_precision:
    # Precise tricks are ways of obtaining items that involve difficult inputs such as accurate aiming or perfect timing.
    # 
    # This option controls the maximum difficulty of precise tricks the randomizer will require you to do to beat the
    # game.
    none: 50
    normal: 0
    hard: 0
    very_hard: 0

  enable_tuner_logic:
    # If enabled, the randomizer can logically expect the Tingle Tuner for Tingle Chests.
    # 
    # The randomizer behavior of logically expecting Bombs/bomb flowers to spawn in Tingle Chests remains unchanged.
    'false': 50
    'true': 0

  ############################
  # Work-in-Progress Options #
  ############################
  randomize_enemies:
    # Randomizes the placement of non-boss enemies.
    # 
    # This option is an *incomplete* option from the base randomizer and **may result in unbeatable seeds! Use at your own
    # risk!**
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
